/**  
 * @author Tan  
 * @constructor Van
 * @description "configureItemCategory"
 * @date 2010-11-17
 * @since version 1.0 
 */ 
$package('itsm.config.categoryManage');



itsm.config.categoryManage.CICategoryTreeUtil=function(){
	
	
	return {
		
		/**
		 * 显示配置项分类树.
		 */
		showCITree:function(windowPanel,treePanel,namePut,idPut){
			
			
			$(windowPanel).window('open');
			
			
			
			$(treePanel).jstree({
				
				"json_data":{
				    ajax: {url : "configuration!getConfigurationCategoryTree.action",cache:false}
					},
					plugins : ["themes", "json_data", "ui", "crrm"]
				})
				.bind('loaded.jstree', function(e,data){data.inst.open_all(-1);})
				.bind('select_node.jstree',function(e,data){
					
					
					var id=data.rslt.obj.attr('cno');
					var name=data.rslt.obj.attr('cname');
					
					
					$(windowPanel).window('close');
				});
			
		}
		
		

		
		
	};


 }();

